<?php
if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME'])) {
	die('Do not load this page directly!');
}

if (post_password_required()) {
	?>
	<p class="no-comments"><?php _e('This post is password protected. Enter the password to view comments.', 'YoPress'); ?></p>
	<?php
	return;
}
?>

<?php if (have_comments()) : ?>

	<div class="comments-container">
		<div class="title"><h2><?php comments_number(__('No Comments', 'YoPress'), __('One Comment', 'YoPress'), __('% Comments', 'YoPress')); ?></h2></div>
		<ul id="comments" class="commentlist">
			<?php wp_list_comments('type=comment&callback=yopress_comment'); ?>
		</ul>

		<div class="comments-navigation">
			<div class="alignleft"><?php previous_comments_link(); ?></div>
			<div class="alignright"><?php next_comments_link(); ?></div>
		</div>
	</div>

<?php else : // this is displayed if there are no comments so far ?>

	<?php if (comments_open()) : ?>
	<?php else : // comments are closed ?>
		<p class="no-comments"><?php _e('Comments are closed.', 'YoPress'); ?></p>
	<?php endif; ?>

<?php endif; ?>

<?php if (comments_open()) : ?>

	<div id="respond" class="section">
		<div>
			<div class="title">
				<h2><?php comment_form_title(__('Leave A Comment', 'YoPress'), __('Leave A Comment', 'YoPress')); ?></h2>
			</div>
			<div>

				<div><p class="cancel-comment-reply"><?php cancel_comment_reply_link(); ?></p></div>

				<?php if (get_option('comment_registration') && !is_user_logged_in()) : ?>
					<p><?php _e('You must be', 'YoPress');?> <a href="<?php echo wp_login_url(get_permalink()); ?>"><?php _e('logged in', 'YoPress');?></a> <?php _e('to post a comment.', 'YoPress');?></p>
				<?php
                else :
					$comments_args = array(
						'label_submit'=>'Post Comment',
						'title_reply'=>'',
						'id_submit' => 'submit',
						'class_submit' => 'btn btn-medium',
						'comment_notes_after' => '',
						'comment_notes_before' => '',
						'fields' => array(
						'author' =>'<p class="comment-form-author">
									<input type="text" name="author" id="author" size="30" tabindex="1" aria-required="true" class="required">
									<label for="author">'. __('Name (required)', 'YoPress').'</label>
								</p>',
						'email' => '<p class="comment-form-email">
									<input type="text" name="email" id="email" size="30" tabindex="2" aria-required="true" class="required">
									<label for="email">'. __('Email (required)', 'YoPress').'</label>
								</p>',
						'url' => '<p class="comment-form-url">
									<input type="text" name="url" id="url" size="30" tabindex="3" class="input-website">
									<label for="url">'. __('Website', 'YoPress').'</label>
								</p>',
						),
						'comment_field' => '<textarea name="comment" id="comment" cols="45" rows="6" tabindex="4" class="textarea-comment" placeholder="'. __('Comment', 'YoPress').'"></textarea>',
					);
					comment_form($comments_args);
                endif;
                ?>
			</div>
		</div>
	</div>

<?php endif; ?>