<?php
/*
 * Attachment loop used to display attachments
 */
?>

<section id="content" class="span8 blog posts">

	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		<article id="post-<?php the_ID(); ?>" <?php post_class('post'); ?>>
			<div class="post-offset">
				<h1><a href="<?php echo get_permalink($post->post_parent); ?>" title="<?php the_title_attribute(); ?>"><?php _e('back to parent article', 'YoPress'); ?></a></h1>
				<p class="attachment"><?php echo wp_get_attachment_image('', 'full'); ?></p>
				<p class="attachment">
				<?php
					$attachment = wp_get_attachment_metadata();
					echo $attachment['file'];
				?></p>
				<?php
					YoliteBase::postOptions();
					comments_template();
				?>
			</div>
		</article>
	<?php endwhile; else: ?>
		<h3 class="noposts"><?php _e('Sorry, no posts matched your criteria.', 'YoPress'); ?></h3>
	<?php endif; ?>

	<div class="clearfix"></div>
		<?php if (is_paged()) { ?>
		<section id="pagination">
		<?php
			$paged = $wp_query->get( 'page' );
			if ( ! $paged || $paged < 2 ) {
				// This is not a paginated page (or it's simply the first page of a paginated page/post)
			} else {
				// This is a paginated page.
				if (function_exists('wp_paginate')) {
					wp_paginate();
				} else {
					wp_link_pages();
				}
			} ?>
		</section>
<?php } ?>
</section><!-- /content -->