<?php
/*
 * Fullwidth loop
 */
?>

<section id="content" class="span12 blog posts">

	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

		<article id="post-<?php the_ID(); ?>" <?php post_class('post'); ?>>
			<div class="post-offset">
				<?php if (has_post_thumbnail()) { ?>
					<figure class="post-icon"><span><?php the_post_thumbnail('post-thumbnail'); ?></span></figure>
				<?php } ?>
				<h1><?php the_title(); ?></h1>
				<time class="entry-date" datetime="<?php the_time('Y-m-d');?>T<?php the_time('g:i:s');?>"><?php the_time( 'l, F j, Y','',''); ?></time>

				<?php
					the_content();
					YoliteBase::postOptions();
					comments_template();
				?>
			</div>
		</article>

	<?php endwhile; else: ?>

		<h3 class="noposts"><?php _e('Sorry, no posts matched your criteria.', 'YoPress'); ?></h3>

	<?php endif; ?>

	<div class="clearfix"></div>

	<?php YoliteBase::advertBanner(); ?>

	<div class="clearfix"></div>
	
	<?php if (is_paged()) { ?>
	<section id="pagination">
		<?php
			$paged = $wp_query->get( 'page' );
			if ( ! $paged || $paged < 2 ) {
				// This is not a paginated page (or it's simply the first page of a paginated page/post)
			} else {
				// This is a paginated page.
				if (function_exists('wp_paginate')) {
					wp_paginate();
				} else {
					wp_link_pages();
				}
			} ?>
	</section>
	<?php } ?>
</section><!-- /content -->