<?php
/*
 * Main loop used to display basic 
 * posts on the front-page
 */
?>

<section id="content" class="span8 <?php if ( is_front_page() ) {
		echo "front-page";
	} else {
		echo "blog";
	}
	?> posts">
	
	<?php 
	$index = 0;
	if (have_posts()) : while (have_posts()) : the_post(); ?>
	
		<article id="post-<?php the_ID(); ?>" <?php post_class('post'); ?>>
			<div class="post-offset">
				<?php if (has_post_thumbnail()) { ?>
					<figure class="post-icon"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_post_thumbnail('post-thumbnail'); ?></a></figure>
				<?php } ?>
				<h1><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h1>
				<?php if ( is_single() ) { ?>
				<time class="entry-date" datetime="<?php the_time('Y-m-d');?>T<?php the_time('g:i:s');?>"><?php the_time( 'l, F j, Y','',''); ?></time>

				<?php
				}
				if (is_front_page() || is_category() || is_archive() ) {
					the_excerpt();
				} else {
					the_content();
				}
				YoliteBase::postOptions();
				?>
			</div>
		</article>
	<?php if(is_front_page() && ++$index%2 == 0): ?>
		<div class="clearfix"></div>
	<?php endif;?>
		
	<?php endwhile; else: ?>

		<h3 class="noposts"><?php _e('Sorry, no posts matched your criteria.', 'YoPress'); ?></h3>

	<?php endif; ?>

	<div class="clearfix"></div>
	
	<?php YoliteBase::advertBanner(); ?>

	<div class="clearfix"></div>

	<section id="pagination">
		<?php 
			if (function_exists('wp_paginate')) {
				wp_paginate();
			} else {
			?>
			<div id="pagination">
				<ol>
					<li><?php previous_posts_link(_x('&laquo; Previous post link ', '', 'YoPress')) ?></li>
					<li><?php next_posts_link(_x('Next post link &raquo;', '', 'YoPress')) ?></li>
				</ol>
			</div>
		<?php } ?>
	</section>
</section><!-- /content -->