<?php
/*
 * Search loop used to display search results
 * posts on the front-page
 */
?>

<section id="content" class="span8 <?php if ( is_front_page() ) { 
		echo "front-page";
	} else {
		echo "blog";
	}
	?> posts">

	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		<article id="post-<?php the_ID(); ?>" <?php post_class('post'); ?>>
			<div class="post-offset">
				<?php if (has_post_thumbnail()) { ?>
					<figure class="post-icon"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_post_thumbnail('post-thumbnail'); ?></a></figure>
				<?php } ?>

				<?php
					$title = get_the_title();
					$keys= explode(" ",$s);
					$title = preg_replace('/('.implode('|', $keys) .')/iu', '<strong class="search-excerpt">\0</strong>', $title);
				?>

				<h1><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php echo $title; ?></a></h1>
				<?php
					$searchcontent = get_the_excerpt();
					$keys= explode(" ",$s);
					$searchcontent = preg_replace('/(\ '.implode('|\ ', $keys) .')/iu', ' <span class="search-excerpt">\0</span>', $searchcontent);
				?>
				<p><?php echo $searchcontent; ?></p>
				<?php YoliteBase::postOptions(); ?>
			</div>
		</article>

	<?php endwhile; else: ?>

		<h3 class="noposts"><?php _e('Sorry, no posts matched your criteria.', 'YoPress'); ?></h3>

	<?php endif; ?>

	<div class="clearfix"></div>

	<?php YoliteBase::advertBanner(); ?>

	<div class="clearfix"></div>
	<section id="pagination">
		<?php
			$paged = $wp_query->get( 'page' );
			if ( ! $paged || $paged < 2 ) {
				// This is not a paginated page (or it's simply the first page of a paginated page/post)
			} else {
				// This is a paginated page.
				if (function_exists('wp_paginate')) {
					wp_paginate();
				} else {
					wp_link_pages();
				}
			} ?>
	</section>
</section><!-- /content -->
