window.onload = function() {
	if(!window.$){
		
		return;
	}
	
	var months = ['January','February','March','April','May','June','July','August','September','October','November','December'];
	
	var prevMonth = 11;
	var prevYear = new Date().getFullYear();
	
	var currentMonth = new Date().getMonth();
	var currentYear = new Date().getFullYear();
	
	if(currentMonth == 0)
		prevMonth = 11
	else prevMonth = currentMonth -1;

	if(currentMonth == 0)
		prevYear = currentYear-1;

		
	var table = $('#upcoming-events');
	var tableDays = table.find('span');
	
	var inAction = false;
	
	$(document).ready(function() {
		$('#event-header').css('opacity', 0);
		$('#event-header').html(months[currentMonth] + ' ' + currentYear);
		$('#event-header').animate( { opacity : 1} );
		reloadCalendar()
	})

	$('.next').on('click', function(e) {
		e.preventDefault();
		if(inAction) return;
		prevMonth = currentMonth;
		currentMonth++;
		
		if(currentMonth > 11) {
			currentMonth = 1;
			prevYear = currentYear;
			currentYear++;
		} else {
			prevYear = currentYear;
		}
		
		switchItem($('#event-header'), -1);
	});

	$('.prev').on('click', function(e) {
		e.preventDefault();
		if(inAction) return;
		prevMonth = currentMonth;
		currentMonth--;
		if(currentMonth < 0) { 
			currentMonth = 11;
			prevYear = currentYear;
			currentYear--;
		} else {
			prevYear = currentYear;
		}

		switchItem($('#event-header'), 1);
	});
	
	function switchItem(item, dir) {
		inAction = true;
		item.animate({ left : '+='+ 50*dir, opacity : 0}, function(){
			item.animate( { left : '+='+ 100*(dir*-1) }, 0, function(){
				item.html(months[currentMonth] + ' ' + currentYear);
				item.animate( { left : '+='+ 50*dir, opacity : 1}, function(){
					inAction = false;
				})
			})
		});

		reloadCalendar()
	}
	
	
	
	function reloadCalendar(){
	
		$.post(ajaxEventUrl, {year : currentYear, month : currentMonth+1}, function(json){
			renderCalendar(json);
		}, 'json');
	}
	
	function renderCalendar(events){
		var d = new Date(currentYear,currentMonth, 1 );
		var firstDay = d.getDay();
		firstDay = firstDay == 0 ? 6 : (firstDay-1)
		var maxDay = DaysInMonth(currentMonth, currentYear);
		var prevMax = DaysInMonth(prevMonth, prevYear);
		var className = '';

		var day = 1;
			$.each(table.find('tr'), function(i,v){
				$.each($(v).find('td span'), function(j,k){
					$(k).animate({opacity: 0}, function(){
						$(this).attr('class', className);
						
						var addEvent = false;
						
						
						
						$(this).animate({opacity: 1})
							
						$(this).removeClass('party');
						$(this).parent().removeClass('party-day');
	
						
						if(events[day] != undefined && events[day] != ''){
							addEvent = day;
						}
							
						if(i == 1){
							if(j >= firstDay){
								$(this).html(day);
								if(day < maxDay) {
									day++;
								}
							} else {
								$(this).html(prevMax-(firstDay-j-1));
								$(this).addClass('nextmonth');
								addEvent = false;
							}
						} else {
							$(k).html(day);
							if(day < maxDay){
								day++;
							} else { 
								day = 1;
								className = 'nextmonth';
								
							}
						}
					

						if(className == 'nextmonth') {
							addEvent = false;
						}
						
						if(addEvent){
							$(this).html($(this).html()+events[addEvent])
							$(this).addClass('party');
							$(this).parent().addClass('party-day');
						}
							
					})
					
				});
			});
		
	}

	$('.event-info').live('mouseover', function() {
		$(this).stop().animate({opacity : 1, height: 316, top : -10})
	});

	$('.event-info').live('mouseout', function() {
		$(this).stop().animate({opacity : 0, height: 100, top : - 30})
		
	})

	function DaysInMonth(month, year){return 32 - new Date(year, month, 32).getDate()}

	function DaysInMonth(month, year){
		return 32 - new Date(year, month, 32).getDate();
	}
}
