<?php
add_action('init', 'eventpost_register');

function eventpost_register() {

	$labels = array(
		'name' => __('Event Calendar', 'post type general name', 'YoPress'),
		'singular_name' => _x('Event', 'post type singular name', 'YoPress'),
		'add_new' => _x('Add New', 'Event', 'YoPress'),
		'add_new_item' => __('Add New Event', 'YoPress'),
		'edit_item' => __('Edit Event', 'YoPress'),
		'new_item' => __('New Event', 'YoPress'),
		'view_item' => __('View Events', 'YoPress'),
		'search_items' => __('Search Events', 'YoPress'),
		'not_found' => __('Nothing found', 'YoPress'),
		'not_found_in_trash' => __('Nothing found in Trash', 'YoPress'),
		'parent_item_colon' => ''
	);

	$args = array(
		'labels' => $labels,
		'public' => true,
		'publicly_queryable' => true,
		'show_ui' => true,
		'query_var' => true,
		'rewrite' => true,
		'capability_type' => 'post',
		'hierarchical' => false,
		'menu_position' => null,
		'supports' => array('title', 'editor', 'thumbnail', 'comments')
	);

	register_post_type('eventcalendar', $args);
}

add_action("admin_init", "admin_init");

function admin_init() {
	add_meta_box("event_date-meta", "Event Date", "event_date", "eventcalendar", "side", "low");
}

function event_date() {
	global $post;
	$custom = get_post_custom($post->ID);
	$eventDate = '';

	if (isset($custom["event_date"]))
		$eventDate = $custom["event_date"][0];

	wp_enqueue_script('jquery');
	?>
	<label>Event date</label>
	<input name="event_date" id="event_date_input" value="<?php echo $eventDate; ?>" />
	<scitpt src="<?php echo get_template_directory_uri(); ?>/event_calendar/js/jquery-ui-1.9.2.custom.min.js"></scitpt>

	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/event_calendar/ui-lightness/jquery.ui.all.css">
	<script src="<?php echo get_template_directory_uri(); ?>/event_calendar/js/jquery.ui.core.js"></script>
	<script src="<?php echo get_template_directory_uri(); ?>/event_calendar/js/jquery.ui.datepicker.js"></script>
	<script type="text/javascript">
		window.onload = function() {
			jQuery( "#event_date_input" ).datepicker({ dateFormat: 'dd/mm/yy' });
		}
	</script>
	<?php
}

add_action('save_post', 'save_details');

function save_details() {
	global $post;

	if (isset($_POST["event_date"])) {
		update_post_meta($post->ID, "event_date", $_POST["event_date"]);

		$date = explode('/', $_POST["event_date"]);
		update_post_meta($post->ID, "event_date_day", $date[0]);
		update_post_meta($post->ID, "event_date_month", $date[1]);
		update_post_meta($post->ID, "event_date_year", $date[2]);
		update_post_meta($post->ID, "event_date_monthyear", $date[1] . '/' . $date[2]);
	}
}