<?php

class YoliteUploader extends YoliteWebView {

	static $instanceId;

	public function __construct() {
		if(!self::$instanceId) self::$instanceId = 1;
		else self::$instanceId++;
	}

	public function uploadForm($name = 'uploadForm', $value = '') {
		echo $this->getUploadForm($name, $value);
	}

	public function getUploadForm($name, $value) {
		return $this->render('components/uploader/views/uploadForm', array('name' => $name, 'value' => $value, 'id' => self::$instanceId), array(), true);
	}

	function registerHooks() {
		add_action('admin_print_scripts', array($this,'uploaderScripts') );
		add_action('admin_print_styles', array($this,'uploaderStyles') );
	}

	function uploaderScripts() {
		wp_enqueue_script('media-upload');
		wp_enqueue_script('thickbox');
		wp_register_script('yoliteUploaderScript', get_template_directory_uri().'/framework/components/uploader/yoliteUploader.js', array('jquery','media-upload','thickbox'));
		wp_enqueue_script('yoliteUploaderScript');
	}

	function uploaderStyles() {
		wp_enqueue_style('thickbox');
	}
}
?>
