<?php
class YoliteFormModel {
	private $attr;

	public function fieldName($name) {
		return 'yolite['.$name.']';
	}

	public function fieldValue($name, $def = '') {
		$this->attr[$name] = get_option( $name );
		if($this->attr[$name] == '' && $def != ''){
			$this->attr[$name] = $def;
		}
		return $this->attr[$name];
	}

	public function listOptions($name, $options) {
		if(!isset($this->attr[$name])) $this->fieldValue ($name);

		foreach($options as $key => $value) {
			$selected = '';
			if($this->attr[$name] == $key) $selected = 'selected="selected"';
			echo '<option value="'.$key.'" '.$selected.'>'.$value.'</option>';
		}
	}

	public function __set($name, $value) {
		if($name == 'attributes'){
			$this->attr = array();
			foreach($value as $key=>$v) {
				$this->attr[$key] = $v;
			}
		}
	}

	public function updateOptions() {
		if(is_array($this->attr))
		foreach($this->attr as $key=>$value) {
			$value = str_replace('\\', '', $value);
			update_option( $key, $value );
		}
	}
}
?>
