<!DOCTYPE html>
<!--[if lt IE 7]><html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]><html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]><html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!--><html class="no-js" <?php language_attributes(); ?>><!--<![endif]-->
	<head>
		<meta charset="<?php bloginfo('charset'); ?>" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">	
		<title><?php
			global $page, $paged;
			wp_title('|', true, 'right');
			bloginfo('name');
			$site_description = get_bloginfo('description', 'display');
			if ($site_description && ( is_home() || is_front_page() ))
			echo " | $site_description";
		?></title>
		<meta name="description" content="<?php echo get_bloginfo('description'); ?>">
		<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no">
		<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo('stylesheet_url'); ?>" />

		<?php YoliteBase::renderOgTags(); ?>
		<!--[if IE 8]> <link rel="stylesheet" href="<?php get_template_directory_uri() ?>/css/ie8.css"> <![endif]-->

		<?php if (get_theme_mod('uploaded_image') != '') : ?>
			<style type="text/css">#logotype { background : url('<?php echo get_theme_mod('uploaded_image'); ?>') 0 0 no-repeat !important }</style>
		<?php endif; ?>
		<?php wp_head(); ?>

	</head>
	<body  <?php body_class(  ); ?>>
		<!--[if lt IE 7]>
			<p class="chromeframe">You are using an <strong>outdated</strong> browser. Please <a href="<?php echo 'http://browsehappy.com/';?>">upgrade your browser</a> or <a href="<?php echo 'http://www.google.com/chromeframe/?redirect=true';?>">activate Google Chrome Frame</a> to improve your experience.</p>
		<![endif]-->

		<header id="page-header">
			<div class="container">
				<div class="row-fluid">
					<div class="span12">
						<a href="<?php echo home_url(); ?>" id="logotype"><?php bloginfo('name'); ?></a>
						<?php
						wp_nav_menu(
								array(
									'theme_location' => 'primary',
									'depth' => 2,
									'container' => 'nav',
									'container_id' => 'primary-nav',
									'container_class' => '',
									'menu_id' => 'nav'
								)
						);
						?>
						<nav id="primary-nav-mobile">
							<form method="post" action="" name="mobile-menu">
							<select id="mobileSelect" onchange="$(this).submit();">
								<?php
								$menu = wp_nav_menu(array('theme_location' => 'mobile', 'echo' => false));
								if (preg_match_all('#(<a [^<]+</a>)#', $menu, $matches)) {
									$hrefpat = '/(href *= *([\"\']?)([^\"\' ]+)\2)/';
									foreach ($matches[0] as $link) {
										if (preg_match($hrefpat, $link, $hrefs)) {
											$href = $hrefs[3];
										}
										if (preg_match('#>([^<]+)<#', $link, $names)) {
											$name = $names[1];
										}

										$selected = '';
										if (isset($_POST['navigation'])) {
											if ($_POST['navigation'] == $href) {
												$selected = 'selected="selected"';
											}
										}

										echo "<option value=\"$href\" " . $selected . ">$name</option>";
									}
								}
								?>
							</select>
						</form>
						</nav>
					</div>
				</div><!-- /row-fluid -->
			</div>
		</header><!-- /page-header -->

		<?php get_template_part('sliders','choose'); ?>
