<?php

function output_formatter($content) {
	$new_content = '';
	$pattern_full = '(\[raw\].*?\[/raw\])';
	$pattern_contents = '{\[raw\](.*?)\[/raw\]}is';
	$pieces = preg_split($pattern_full, $content, -1, PREG_SPLIT_NO_EMPTY);

	foreach ($pieces as $piece) {
		$piece = preg_replace('/<br \/>/iU', '', $piece);
		$piece = str_replace('[raw]', '', $piece);
		$piece = str_replace('[/raw]', '', $piece);
		$new_content .= $piece;
	}

	return $new_content;
}

add_filter('the_content', 'output_formatter', 11);
add_filter('widget_text', 'output_formatter', 11);

add_shortcode('button', 'shortcode_button');

function shortcode_button($atts, $content = null) {
	$atts = shortcode_atts(
			array(
		'type' => 'small',
		'href' => '#',
		'title' => '',
		'target' => ''
			), $atts);

	return '<a href="' . $atts['href'] . '" target="'. $atts['target'] .'" class="btn btn-' . $atts['type'] . '" title="' . $atts['title'] . '">' . do_shortcode($content) . ' </a>';
}

add_shortcode('icon', 'shortcode_icon');

function shortcode_icon($atts, $content = null) {
	$atts = shortcode_atts(
			array(
		'class' => ''
			), $atts);

	return '<span class="icon ' . $atts['class'] . '"></span>';
}

add_shortcode('table', 'shortcode_table');

function shortcode_table($atts, $content = null) {
	$atts = shortcode_atts(array(), $atts);
	return '[raw]<table>' . do_shortcode($content) . '</table>[/raw]';
}

add_shortcode('thead', 'shortcode_thead');

function shortcode_thead($atts, $content = null) {
	$atts = shortcode_atts(array(), $atts);

	return '<thead>' . do_shortcode($content) . '</thead>';
}

add_shortcode('th', 'shortcode_th');

function shortcode_th($atts, $content = null) {
	$atts = shortcode_atts(array(), $atts);

	return '<th>' . do_shortcode($content) . '</th>';
}

add_shortcode('row', 'shortcode_row');

function shortcode_row($atts, $content = null) {
	$atts = shortcode_atts(array(), $atts);

	return '<tr>' . do_shortcode($content) . '</tr>';
}

add_shortcode('column', 'shortcode_column');

function shortcode_column($atts, $content = null) {
	$atts = shortcode_atts(array(), $atts);
	return '<td>' . do_shortcode($content) . '</td>';
}

add_shortcode('video', 'shortcode_video');

function shortcode_video($atts,  $content = null) {
	$frame = 'frame';
	if($atts['type'] == 'Iframe'){
		
		$atts['data'] = str_replace('framestart', '<div class="media-container"><i'.$frame, $atts['data']);
		$atts['data'] = str_replace('endframe', '></i'.$frame.'></div>', $atts['data']);
		return $atts['data'];
	} else {
		$videos = YoliteBase::extractLinksFrom($atts['data']);
		if(count($videos) >= 1){
			$link = $videos[0]['link'];
			return '<div class="media-container"><i'.$frame.' src="'.$link.'" width="640" height="360" frameborder="0" webkitAllowFullScreen mozallowfullscreen allowFullScreen></iframe></div>';
		} else {
			return '';
		}
	}
}

/* GRID */

add_shortcode('grid', 'shortcode_grid');

function shortcode_grid($atts, $content = null) {
	$atts = shortcode_atts(array(), $atts);
	return '[raw]<div class="row-fluid">' . do_shortcode($content) . '</div>[/raw]';
}

add_shortcode('span6', 'shortcode_span6');

function shortcode_span6($atts, $content = null) {
	$atts = shortcode_atts(array(), $atts);
	return '<div class="span6"><p>' . do_shortcode($content) . '</p></div>';
}

add_shortcode('span3', 'shortcode_span3');

function shortcode_span3($atts, $content = null) {
	$atts = shortcode_atts(array(), $atts);
	return '<div class="span3"><p>' . do_shortcode($content) . '</p></div>';
}

add_shortcode('span4', 'shortcode_span4');

function shortcode_span4($atts, $content = null) {
	$atts = shortcode_atts(array(), $atts);
	return '<div class="span4"><p>' . do_shortcode($content) . '</p></div>';
}

add_shortcode('gmap', 'shortcode_gmap');

function shortcode_gmap($atts, $content = null) {
	if($atts['lat'] != '' && $atts['long'] != '') {

		$width = (isset($atts['width'])) ? $atts['width'] : '100%';
		$height = (isset($atts['height'])) ? $atts['height'] : '300px';
		$zoom = (isset($atts['zoom'])) ? $atts['zoom'] : '8';

		return '<div id="map_canvas" style="height:'.$height.'; width:'.$width.'"></div>
				<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false"></script>
				<script type="text/javascript">
					window.onload = function() {
						latLng = new google.maps.LatLng('.$atts['lat'].', '.$atts['long'].');
						var map = new google.maps.Map(document.getElementById("map_canvas"), {
							zoom: '.$zoom.',
							center: latLng,
							mapTypeId: google.maps.MapTypeId.ROADMAP
						});
						var marker = new google.maps.Marker({
							position: latLng,
							title: "Location",
							map: map,
						});
					}
				</script>';
	} else {
		return '';
	}
}

/*
 * Add buttons to tinyMCE
 */

add_action('init', 'add_button');

function add_button() {
	if (current_user_can('edit_posts') && current_user_can('edit_pages')) {
		add_filter('mce_external_plugins', 'add_plugin');
		add_filter('mce_buttons_2', 'register_button');
	}
}

function register_button($buttons) {
	array_push($buttons, "yopress");
	return $buttons;
}

function add_plugin($plugin_array) {
	$plugin_array['yopress'] = get_template_directory_uri() . '/tinymc/shortcodes.js';
	return $plugin_array;
}

?>
