<?php
add_action('widgets_init', 'ContactNoteWidgetLoad');

function ContactNoteWidgetLoad()
{
	register_widget('ContactNoteWidget');
}

class ContactNoteWidget extends WP_Widget {
	
	function ContactNoteWidget()
	{
		$widgetOptions = array('classname' => 'ContactNoteWidget', 'description' => '');

		$controlOptions = array('id_base' => 'ContactNoteWidget');

		$this->WP_Widget('ContactNoteWidget', 'YoPress: Contact Note', array('description' => 'Displays basic contact information (address, phone, e-mail) in form of a nice vcard.'), array());
	}
	

	function widget($args, $instance)
	{
		extract($args);
		$title = apply_filters('widget_title', $instance['title']);
        echo $before_widget;
		if($title) {
			echo $before_title.$title.$after_title;
		}
	?>

		<div class="fancy-headers"><h3>need some info? <span>get in touch</span></h3></div>
		<div class="vcard">
			<span class="fn"><?php echo $instance['name'];?></span><br/>
			<div class="adr">
				<span class="street-address"><?php echo $instance['address1'];?></span>
				<span class="locality"><?php echo $instance['address2'];?></span>
			</div>
			<div class="tel"><?php echo $instance['phone'];?></div>
			<div><a class="email" href="mailto:<?php echo $instance['email'];?>"><?php echo $instance['email'];?></a></div>
		</div>

        
				
	<?php
	
    echo $after_widget;
    
	}
	
	function update($new_instance, $old_instance)
	{
		$instance = $old_instance;

		$instance['title'] = '';
		$instance['name'] = $new_instance['name'];
		$instance['address1'] = $new_instance['address1'];
		$instance['address2'] = $new_instance['address2'];
		$instance['phone'] = $new_instance['phone'];
		$instance['email'] = $new_instance['email'];


		return $instance;
	}

	function form($instance)
	{
		$defaults = array('title' => '', 'name' => '', 'address1' => '', 'address2' => '', 'phone' => '', 'email'=>'' );
		$instance = wp_parse_args((array) $instance, $defaults);
	?>
            <p>
                <label for="<?php echo $this->get_field_id('name');?>">Name</label>
                <input class="widefat" type="text" name="<?php echo $this->get_field_name('name') ?>" id="<?php echo $this->get_field_id('name');?>" value="<?php echo $instance['name'];?>"/>
            </p>

            <p>
                <label for="<?php echo $this->get_field_id('address1');?>">Address line 1</label>
                <input class="widefat" type="text" name="<?php echo $this->get_field_name('address1') ?>" id="<?php echo $this->get_field_id('address1');?>" value="<?php echo $instance['address1'];?>"/>
            </p>

            <p>
                <label for="<?php echo $this->get_field_id('address2');?>">Address line 2</label>
                <input class="widefat" type="text" name="<?php echo $this->get_field_name('address2') ?>" id="<?php echo $this->get_field_id('address2');?>" value="<?php echo $instance['address2'];?>"/>
            </p>

            <p>
                <label for="<?php echo $this->get_field_id('phone');?>">Phone</label>
                <input class="widefat" type="text" name="<?php echo $this->get_field_name('phone') ?>" id="<?php echo $this->get_field_id('phone');?>" value="<?php echo $instance['phone'];?>"/>
            </p>

            <p>
                <label for="<?php echo $this->get_field_id('email');?>">E-mail</label>
                <input class="widefat" type="text" name="<?php echo $this->get_field_name('email') ?>" id="<?php echo $this->get_field_id('email');?>" value="<?php echo $instance['email'];?>"/>
            </p>
	<?php	
	}
}
?>
