<?php

add_action('widgets_init', 'LatestTwitterTweetWidgetLoad');

function LatestTwitterTweetWidgetLoad()
{
	register_widget('LatestTwitterTweetWidget');
}

class LatestTwitterTweetWidget extends WP_Widget {
	
	function LatestTwitterTweetWidget()
	{
		$widget_ops = array('classname' => 'LatestTwitterTweetWidget', 'description' => '');

		$control_ops = array('id_base' => 'LatestTwitterTweetWidget');

		$this->WP_Widget('LatestTwitterTweetWidget', 'YoPress: Twitter Latest', array('description' => 'Dynamically pulls out latest tweets based on Twitter user ID.'), array());
	}
	
	function widget($args, $instance)
	{
		extract($args);
		$title = apply_filters('widget_title', $instance['title']);
		$twitter_id = $instance['twitter_id'];
		$count = $instance['count'];
		$time = $instance['time'];

		if($twitter_id) { ?>
		
			<li>
			<div class="latest-tweets-widget">
				<div class="fancy-headers"><h3><?php echo $title; ?></h3></div>
				<p class="latest-tweet">No Tweets...</p>
			</div>
			</li>
			<script type="text/javascript">
				function replaceURLWithHTMLLinks(text) {
					var linksExp = /(\b(https?|ftp|file):\/\/[-A-Z0-9+&@#\/%?=~_|!:,.;]*[-A-Z0-9+&@#\/%=~_|])/ig;
					var hashTagExp = /#([-A-Z0-9]+?)\ /ig;
					var userTagExp = /@([-A-Z0-9]+?)\ /ig;
					
					return text.replace(linksExp, "<a href='$1' target='_blank'>$1</a>").
					replace(hashTagExp, " <a href='https://twitter.com/search?q=%23$1&src=hash'>#$1</a> ").
					replace(userTagExp, " <a href='https://twitter.com/$1'>@$1</a> ");
				}
		
				function twitterFeedCallback(e) {
					var tweetId = 1;
					var intervalTime = <?php echo $time ?> * 1000;

					setInterval(function() {
					
						jQuery('.latest-tweet').animate({opacity: 0}, 300, function() {
							$(this).html(replaceURLWithHTMLLinks(e[tweetId].text)).animate({opacity:1}, 300);
							tweetId++;
							if (tweetId == e.length) { tweetId = 0; }
						});

					}, intervalTime);

					jQuery('.latest-tweet').html(replaceURLWithHTMLLinks(e[0].text));
				}	
			</script>
			
			<script type="text/javascript" src="http://api.twitter.com/1/statuses/user_timeline/<?php echo $twitter_id;?>.json?callback=twitterFeedCallback&count=<?php echo $count;?>"></script>
		<?php
		}
	}

	function update($new_instance, $old_instance)
	{
		$instance = $old_instance;

		$instance['title'] = strip_tags($new_instance['title']);
		$instance['twitter_id'] = $new_instance['twitter_id'];
		$instance['count'] = $new_instance['count'];
		$instance['time'] = $new_instance['time'];

		return $instance;
	}

	function form($instance)
	{
		$defaults = array('title' => 'Recent Tweets', 'twitter_id' => '', 'follow' => 'Follow me on Twitter', 'count' => 3, 'time' => 10);
		$instance = wp_parse_args((array) $instance, $defaults); ?>
		
		<p>
			<label for="<?php echo $this->get_field_id('title'); ?>">Title:</label>
			<input class="widefat" type="text" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" value="<?php echo $instance['title']; ?>" />
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('twitter_id'); ?>">Twitter ID(username):</label>
			<input class="widefat" type="text" id="<?php echo $this->get_field_id('twitter_id'); ?>" name="<?php echo $this->get_field_name('twitter_id'); ?>" value="<?php echo $instance['twitter_id']; ?>" />
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('count'); ?>">Number of tweets:</label>
			<input class="widefat" type="text" id="<?php echo $this->get_field_id('count'); ?>" name="<?php echo $this->get_field_name('count'); ?>" value="<?php echo $instance['count']; ?>" />
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('time'); ?>">Animation interval in seconds:</label>
			<input class="widefat" type="text" id="<?php echo $this->get_field_id('time'); ?>" name="<?php echo $this->get_field_name('time'); ?>" value="<?php echo $instance['time']; ?>" />
		</p>

	<?php
	}
}
?>
