<?php
add_action('widgets_init', 'SocialHubWidgetLoad');

function SocialHubWidgetLoad()
{
	register_widget('SocialHubWidget');
}

class SocialHubWidget extends WP_Widget
{

	function SocialHubWidget()
	{
		$widgetOptions = array('classname' => 'SocialHubWidget', 'description' => '');

		$controlOptions = array('id_base' => 'SocialHubWidget');

		$this->WP_Widget('SocialHubWidget', 'YoPress: Social Hub', array('description' => 'Displays specified social links to fanpages / profile pages.'), array());
	}

	function widget($args, $instance)
	{
		extract($args);
		$title = apply_filters('widget_title', $instance['title']);

		if($title) {
			echo $before_title.$title.$after_title;
		}
	?>
		<div>
			<div class="fancy-headers"><h3><?php echo $instance['name'];?></h3></div>
			<p><?php echo $instance['text'];?></p>
			<ul class="social-hub">
				<?php if($instance['fb']) : ?>
					<li><a href="<?php echo $instance['fb']; ?>" target="_blank" class="facebook-share"><span>Share on Facebook</span></a></li>
				<?php endif;?>

				<?php if($instance['twitter']) : ?>
					<li><a href="<?php echo $instance['twitter']; ?>" target="_blank" class="twitter-share"><span>Share on Twitter</span></a></li>
				<?php endif;?>

				<?php if($instance['googleplus']) : ?>
					<li><a href="<?php echo $instance['googleplus']; ?>" target="_blank" class="googleplus-share"><span>Share on Google+</span></a></li>
				<?php endif;?>
			</ul>
		</div>
	<?php
	}

	function update($new_instance, $old_instance)
	{
		$instance = $old_instance;
		$instance['title'] = '';
		$instance['name'] = $new_instance['name'];
		$instance['text'] = $new_instance['text'];
		
		
		$instance['fb'] = $new_instance['fb'];
		$instance['twitter'] = $new_instance['twitter'];
		$instance['googleplus'] = $new_instance['googleplus'];
		

		if(!preg_match('/http(|s):\/\//', $instance['fb']) && $instance['fb'] != ''){
				$instance['fb'] = 'http://'.$instance['fb'];
			
		}
		
		if(!preg_match('/http(|s):\/\//', $instance['twitter']) && $instance['twitter'] != ''){
				$instance['twitter'] = 'http://'.$instance['twitter'];
			
		}
		if(!preg_match('/http(|s):\/\//', $instance['googleplus']) && $instance['googleplus'] != ''){
				$instance['googleplus'] = 'http://'.$instance['googleplus'];
			
		}
		
		return $instance;
	}

	function form($instance)
	{
		$defaults = array('title' => '', 'name' => '', 'fb' => '', 'twitter' => '', 'text' => '', 'googleplus' => '');
		$instance = wp_parse_args((array) $instance, $defaults);
	?>
		<p>
			<label for="<?php echo $this->get_field_id('name');?>">Title</label>
			<input class="widefat" type="text" name="<?php echo $this->get_field_name('name') ?>" id="<?php echo $this->get_field_id('name');?>" value="<?php echo $instance['name'];?>"/>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('text');?>">Text</label>
			<input class="widefat" type="text" name="<?php echo $this->get_field_name('text') ?>" id="<?php echo $this->get_field_id('text');?>" value="<?php echo $instance['text'];?>"/>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('fb');?>">Facebook link</label>
			<input class="widefat" type="text" name="<?php echo $this->get_field_name('fb') ?>" id="<?php echo $this->get_field_id('fb');?>" value="<?php echo $instance['fb'];?>"/>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('twitter');?>">Twitter link</label>
			<input class="widefat" type="text" name="<?php echo $this->get_field_name('twitter') ?>" id="<?php echo $this->get_field_id('twitter');?>" value="<?php echo $instance['twitter'];?>"/>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('googleplus');?>">Google+ link</label>
			<input class="widefat" type="text" name="<?php echo $this->get_field_name('googleplus') ?>" id="<?php echo $this->get_field_id('googleplus');?>" value="<?php echo $instance['googleplus'];?>"/>
		</p>
	<?php
	}
}
?>
